<?php include('up_index.php');?>
<?php include('admin.php');?>


<script src="show.js"></script>
<script language="javascript">
	$(document).ready(function(e) {
		if("<?php echo $_GET['status'];?>"=="รอยืนยันการสั่งชื้อ"||"<?php echo $_GET['status'];?>"==""){
			$("#m1").css("background-color", "#636");
		}
				if("<?php echo $_GET['status'];?>"=="กำลังจัดส่งสินค้า"){
			$("#m2").css("background-color", "#636");
		}
				if("<?php echo $_GET['status'];?>"=="ส่งแล้ว"){
			$("#m3").css("background-color", "#636");
		}
				if("<?php echo $_GET['status'];?>"=="ยกเลิกการสั่งชื้อ"){
			$("#m4").css("background-color", "#636");
		}
    });
</script>
<?php
	if($_GET['status']=="กำลังจัดส่งสินค้า"){
		$chk_sale="and status = 'กำลังจัดส่งสินค้า'";
	}else if($_GET['status']=="ส่งแล้ว"){
		$chk_sale="and status = 'ส่งแล้ว'";
	}else if($_GET['status']=="ยกเลิกการสั่งชื้อ"){
		$chk_sale="and status = 'ยกเลิกการสั่งชื้อ'";
	}else{
		$chk_sale="and status = 'รอยืนยันการสั่งชื้อ'"; 
	}
?>
<center>
    <br/>
    <div class="table_product_show">
    <br/>
    <table width="200" border="0">
  <tr>
	<td><a href="menu_admin.php"><div class="link3">จัดการระบบ</div></a></td>
    <td><a href="menu_sale.php?status=รอยืนยันการสั่งชื้อ"><div id="m1" class="link3"><font color="#FFFFFF">รายการสั่งซื้อ</font></div></a></td>
    <td><a href="menu_sale.php?status=กำลังจัดส่งสินค้า"><div id="m2" class="link3"><font color="#FFFFFF">รายการจัดของ</font></div></a></td>
	<td><a href="menu_sale.php?status=ส่งแล้ว"><div id="m3" class="link3"><font color="#FFFFFF">การรายส่งแล้ว</font></div></a></td>
	<td><a href="menu_sale.php?status=ยกเลิกการสั่งชื้อ"><div  id="m4" class="link3"><font color="#FFFFFF">การรายยกเลิก</font></div></a></td>
  </tr>
</table>
 <br/> <br/>
 <table width="800" border="1" cellspacing="0" cellpadding="0">
  <tr>
    <td width="100" align="center">เลขที่สั่งชื้อ</td>
    <td width="400" align="center">โดย</td>
    <td width="150" align="center">เวลาสั่งชื้อ</td>
    <td width="150" align="center">สถานะ</td>
  </tr>
  <?php 
		$strSQL = "SELECT * FROM sale p,members m where p.user = m.user ".$chk_sale."";
	$objQuery = mysql_query($strSQL) or die ("Error Query [".$strSQL."]");
	$Num_Rows = mysql_num_rows($objQuery);
	
	$Per_Page = 20;   // Per Page
	
	$Page = $_GET["Page"];
	if(!$_GET["Page"])
	{
		$Page=1;
	}
	
	$Prev_Page = $Page-1;
	$Next_Page = $Page+1;
	
	$Page_Start = (($Per_Page*$Page)-$Per_Page);
	if($Num_Rows<=$Per_Page)
	{
		$Num_Pages =1;
	}
	else if(($Num_Rows % $Per_Page)==0)
	{
		$Num_Pages =($Num_Rows/$Per_Page) ;
	}
	else
	{
		$Num_Pages =($Num_Rows/$Per_Page)+1;
		$Num_Pages = (int)$Num_Pages;
	}
	
	$strSQL .=" ORDER BY date_book DESC LIMIT $Page_Start , $Per_Page";
	$objQuery  = mysql_query($strSQL);

	while ($objResult  = mysql_fetch_array($objQuery))
	{
		
		echo "<tr>
			<td align=\"center\"><a id=\"alink\" href=\"sale_confirm.php?id_sale=".$objResult ['id_sale']."&status=".$objResult ['status']."\">".$objResult ['id_sale']."</a></td>
			<td><a id=\"alink\" href=\"sale_confirm.php?id_sale=".$objResult ['id_sale']."&status=".$objResult ['status']."\">  ".$objResult ['fname']." ".$objResult['lname']."</a></td>
			<td align=\"center\"><a id=\"alink\" href=\"sale_confirm.php?id_sale=".$objResult ['id_sale']."&status=".$objResult ['status']."\">".$objResult ['date_book']."</a></td>
			<td align=\"center\"><a id=\"alink\" href=\"sale_confirm.php?id_sale=".$objResult ['id_sale']."&status=".$objResult ['status']."\">".$objResult ['status']."</a></td>
		</tr>";
		
	}	
	?>
</table>
<br/>
	<?php
	if($Prev_Page)
{
	echo " <a href='$_SERVER[SCRIPT_NAME]?Page=$Prev_Page&status=".$_GET['status']."'><< Back</a> ";
}

for($i=1; $i<=$Num_Pages; $i++){
	if($i != $Page)
	{
		echo "[ <a href='$_SERVER[SCRIPT_NAME]?Page=$i&status=".$_GET['status']."'>$i</a> ]";
	}
	else
	{
		echo "<b> $i </b>";
	}
}
if($Page!=$Num_Pages)
{
	echo " <a href ='$_SERVER[SCRIPT_NAME]?Page=$Next_Page&status=".$_GET['status']."'>Next>></a> ";
}

?>

    
    <br/><br/>
    </div>
    <br/>
</center>



<?php include('down_index.php'); ?>